﻿//-----------------------------------------------------------------------
// <copyright file="Form2.cs" company="AgTrax">
//     Copyright (c) AgTrax. All rights reserved.
// </copyright>
// <author>Michael Halsig</author>
//-----------------------------------------------------------------------

namespace ComboTest
{
    using System;
    using System.Windows.Forms;

    /// <summary>
    /// Test the combo for dispose issues
    /// </summary>
    /// <seealso cref="System.Windows.Forms.Form" />
    public partial class Form2 : Form
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="Form2"/> class.
        /// </summary>
        public Form2()
        {
            this.InitializeComponent();
        }

        /// <summary>
        /// Handles the FormClosing event of the Form2 control.
        /// </summary>
        /// <param name="sender">The source of the event.</param>
        /// <param name="e">The <see cref="FormClosingEventArgs"/> instance containing the event data.</param>
        private void Form2_FormClosing(object sender, FormClosingEventArgs e)
        {
            // Uncomment to fix the dispose issue
            //this.testCombo1.Dispose();
            //this.testCombo2.Dispose();
        }

        /// <summary>
        /// Handles the Load event of the Form2 control.
        /// </summary>
        /// <param name="sender">The source of the event.</param>
        /// <param name="e">The <see cref="EventArgs"/> instance containing the event data.</param>
        private void Form2_Load(object sender, EventArgs e)
        {
            // Fill Grid
            this.testCombo1.FillGrid();
            this.testCombo2.FillGrid();

            // Default Value
            this.testCombo1.SetValue(1);
            this.testCombo2.SetValue(2);
        }
    }
}